Name:           mbox2eml
Version:        0.1.1
Release:        17%{?dist}
Summary:        Split mbox mailboxes into single .eml files

License:        GPL+
URL:            http://sourceforge.net/projects/mbox2eml/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        set-eml-mtimes.pl
# http://sf.net/tracker/?func=detail&aid=2892908&group_id=127642&atid=709064
Patch0:         %{name}-0.1.1-gcc43.patch
# http://sf.net/tracker/?func=detail&aid=3550053&group_id=127642&atid=709064
Patch1:         %{name}-0.1.1-boostfs3.patch

BuildRequires:  boost-devel
BuildRequires:  popt-devel

%description
Mbox2eml splits mbox mailboxes into single .eml files.  It is highly
configurable and written in C++ to gain maximum performance using a
minimum of RAM.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i -e 's/\r//g' AUTHORS ChangeLog
install -pm 644 %{SOURCE1} .


%build
%configure LIBS="-lboost_system"
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS ChangeLog COPYING README set-eml-mtimes.pl
%{_bindir}/mbox2eml


%changelog
* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.1-17
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.1-16
- Rebuild for Boost-1.53.0

* Fri Jul 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-15
- Patch to build with boost filesystem v3.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-11
- Clean up specfile stuff no longer needed with Fedora or EL6+.

* Thu Jul 21 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-10
- Rebuild.

* Thu Apr  7 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-9
- Rebuild.

* Tue Mar 15 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-8
- Rebuild.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-6
- Fix build with boost 1.46.

* Mon Feb 07 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.1.1-5
- rebuild for new boost

* Tue Jul 27 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-4
- Rebuild.

* Sun Mar  7 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-3
- Fix build with ld --no-add-needed.

* Fri Nov  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-2
- Add script for setting mtimes to dates of .eml in docs.

* Fri Nov  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.1.1-1
- First build.
